<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="WPFBuilder.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="WPFBuilder.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <system.serviceModel>
    <client>
      <endpoint address="net.tcp://localhost:7502/ddiauthservice" binding="netTcpBinding"
        bindingConfiguration="AuthBinding" contract="IAuthService" name="">
        <identity>
          <dns value="DDITestCert" />
        </identity>
      </endpoint>
      <endpoint address="net.tcp://localhost:8731/DDIRulesServer/DDIRulesService/"
        binding="netTcpBinding" bindingConfiguration="HttpStreaming"
        contract="IDDIRulesService" name="">
        <identity>
          <dns value="DDITestCert" />
        </identity>
      </endpoint>
    </client>
    <bindings>
      <netTcpBinding>
        <binding name="AuthBinding" receiveTimeout="Infinite" sendTimeout="Infinite"
          maxConnections="10000">
          <reliableSession inactivityTimeout="Infinite" />
          <security mode="Transport">
            <transport clientCredentialType="None" />
            <message clientCredentialType="None" />
          </security>
        </binding>
        <binding name="HttpStreaming" transferMode="Streamed" maxReceivedMessageSize="67108864">
          <security mode="TransportWithMessageCredential">
            <transport clientCredentialType="None" />
            <message clientCredentialType="UserName" />
          </security>
        </binding>
      </netTcpBinding>
    </bindings>
  </system.serviceModel>
  <userSettings>
    <WPFBuilder.Properties.Settings>
      <setting name="TipsState" serializeAs="String">
        <value />
      </setting>
      <setting name="InfoViewerState" serializeAs="String">
        <value>1</value>
      </setting>
      <setting name="FlashReminderEnabled" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="SingleClickChoosingEnabled" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="HelperEnabled" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="TitleScreenEnabled" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="AutoHideMenu" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="PathToSavedCharacters" serializeAs="String">
        <value />
      </setting>
      <setting name="PathToSamplePortraits" serializeAs="String">
        <value>Sample Portraits</value>
      </setting>
      <setting name="CharacterFileExtension" serializeAs="String">
        <value>*.dnd4e</value>
      </setting>
      <setting name="WindowPlacement" serializeAs="Xml">
        <value>
          <WINDOWPLACEMENT xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema">
            <length>0</length>
            <flags>0</flags>
            <showCmd>0</showCmd>
            <minPosition>
              <X>0</X>
              <Y>0</Y>
            </minPosition>
            <maxPosition>
              <X>0</X>
              <Y>0</Y>
            </maxPosition>
            <normalPosition>
              <Left>0</Left>
              <Top>0</Top>
              <Right>0</Right>
              <Bottom>0</Bottom>
            </normalPosition>
          </WINDOWPLACEMENT>
        </value>
      </setting>
      <setting name="PreserveChecklist" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="PlayerName" serializeAs="String">
        <value />
      </setting>
      <setting name="PlayerRPGANumber" serializeAs="String">
        <value />
      </setting>
      <setting name="RememberMyName" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="UIScaleFactor" serializeAs="String">
        <value>0</value>
      </setting>
      <setting name="PathToSampleCharacters" serializeAs="String">
        <value>SampleChars</value>
      </setting>
    </WPFBuilder.Properties.Settings>
  </userSettings>
  <applicationSettings>
    <WPFBuilder.Properties.Settings>
      <setting name="PathToVisualizer" serializeAs="String">
        <value>..\CharWiz\bin\Debug</value>
      </setting>
    </WPFBuilder.Properties.Settings>
  </applicationSettings>
</configuration>